Sei
Create Unstaking Request
Create an unstake request transaction.
POST
/
api
/
v1
/
sei
/
{network}
/
staking
/
unstake
Create Unstake Request
curl --request POST \
--url https://api.p2p.org/api/api/v1/sei/{network}/staking/unstake \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stashAccountAddress": "<string>",
"amount": 123,
"memo": "This is your memo message"
}
'import requests
url = "https://api.p2p.org/api/api/v1/sei/{network}/staking/unstake"
payload = {
"stashAccountAddress": "<string>",
"amount": 123,
"memo": "This is your memo message"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stashAccountAddress: '<string>',
amount: 123,
memo: 'This is your memo message'
})
};
fetch('https://api.p2p.org/api/api/v1/sei/{network}/staking/unstake', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"stashAccountAddress": "<string>",
"transactionData": {
"to": "<string>",
"value": "<string>",
"data": "<string>",
"gasLimit": "<string>",
"gasPrice": "<string>",
"nonce": 123,
"chainId": 123,
"unsignedTransaction": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"amount": 123,
"currency": "sei",
"validatorAddress": "seivaloperjj5m7nku1ZlgyUJJ5kH1Rln3bER6eWHAKwKsgC9"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Sei network:
- `pacific-1` — Sei mainnet.
- `atlantic-2` — Sei testnet.
Available options:
pacific-1, atlantic-2 Body
application/json
Delegator account address which keeps tokens.
Pattern:
(^sei[a-z0-9]{39}$|^0x[0-9a-fA-F]{40}$)Amount of tokens to stake or unstake in SEI.
Deprecated: EVM precompile transactions do not support memo. Field is accepted but ignored.
Example:
"This is your memo message"
Create Unstake Request
